Bug Hunting Session
Bug 81304 - PDF: Faulty Name Preservation Exporting File to PDF if File Name Contains "#"
Summary: PDF: Faulty Name Preservation Exporting File to PDF if File Name Contains "#"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium normal
Assignee: David Tardon
URL:
Whiteboard: BSA target:4.4.0 target:4.2.7 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-13 18:53 UTC by Jonathan Levi
Modified: 2014-07-22 17:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A sample text document. (8.85 KB, application/vnd.oasis.opendocument.text)
2014-07-13 18:53 UTC, Jonathan Levi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Levi 2014-07-13 18:53:11 UTC
Created attachment 102720 [details]
A sample text document.

Problem description: File name isn't preserved when exporting the file to PDF if the filename begins with #.

Steps to reproduce:
1. Create a text document. Save it anywhere with name #sampleDoc.odt
2. Choose File > Export to PDF... In the resulting PDF Options dialog, click Export. (It doesn't seem to matter what options are selected in this dialog.)

Current behavior: The name LibreOffice chooses for the PDF file is .pdf.pdf (BTW the same behavior will be observed if the test file is a spreadsheet with name #sampleSpreadsheet.ods.) (Also BTW build is 61cb170a04bb1f12e77c884eab9192be736ec5f5.)

Expected behavior: The name chosen should be #sampleDoc.pdf/#sampleSpreadsheet.pdf respectively.

              
Operating System: Mac OS X
Version: 4.2.5.2 release
Comment 1 tommy27 2014-07-14 07:15:04 UTC
issue reproducible under WinXP as well
not limited to first filename letter.

try renaming the file as test#sampleDoc.odt
it will be exported to test.pdf

it seems that every letter after the # is lost in the pdf export dialog
Comment 2 Commit Notification 2014-07-14 13:13:14 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3d7734af45f30a87d6de76aa3de7593d541bdc8

fdo#81304 don't parse file name as part of URL



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-07-22 16:49:11 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a958b590a34a1eaa888a36285f6aa364606383ad&h=libreoffice-4-2

fdo#81304 don't parse file name as part of URL


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-07-22 17:08:01 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40eddf707f8f56fa63ddba9f4713a32dba43bd62&h=libreoffice-4-3

fdo#81304 don't parse file name as part of URL


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.